#pragma once

#include "CoreMinimal.h"
#include "InputCoreTypes.h"
#include "SpectateIndicatorInputViewData.generated.h"

USTRUCT(BlueprintType)
struct FSpectateIndicatorInputViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FKey InputKey;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool ShowPrompt;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsEnabled;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool ShowIndicator;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsVisible;

public:
	DBDUIVIEWINTERFACES_API FSpectateIndicatorInputViewData();
};

FORCEINLINE uint32 GetTypeHash(const FSpectateIndicatorInputViewData) { return 0; }
